Bug 329391 - rpm unusable for removing packages
rpm unusable for removing packages
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: rpm (Show other bugs)
5.0
All Linux
low Severity low
: ---
: ---
Assigned To: Panu Matilainen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-12 09:54 EDT by Olaf
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-12 10:09:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Olaf 2007-10-12 09:54:52 EDT
Description of problem:

[root@rbldns yum]# rpm -q aspell
aspell-0.60.3-7.1
aspell-0.60.3-7.1
[root@rbldns yum]# rpm -e aspell-0.60.3-7.1
error: "aspell-0.60.3-7.1" specifies multiple packages

Version-Release number of selected component (if applicable):
rpm-4.4.2-37.el5

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Panu Matilainen 2007-10-12 10:09:29 EDT
The default query format of rpm in RHEL 5 unfortunately doesn't show the
architecture which makes this look sillier than it is. Try the following:

rpm -q --qf "%{name}-%{version}-%{release}.%{arch}\n" aspell

The full name from the above can be used to remove individual packages on
multilib systems, or you can remove both with "rpm -e --allmatches aspell"

Note You need to log in before you can comment on or make changes to this bug.